## org.omg.CORBA
Interface FixedDefOperations

All Superinterfaces:
  IDLTypeOperations, IRObjectOperations

All Known Subinterfaces:
  FixedDef

All Known Implementing Classes:
  FixedDefPOA

public interface FixedDefOperations
extends IDLTypeOperations

A FixedDef represents an IDL fixed point type.

Method Summary
`short` `digits()` The digits attribute specifies the total number of decimal digits in the number, and must be from 1 to 31, inclusive.
`void` `digits(short value)` The digits attribute specifies the total number of decimal digits in the number, and must be from 1 to 31, inclusive.
`short` `scale()` The scale attribute specifies the position of the decimal point.
`void` `scale(short value)` The scale attribute specifies the position of the decimal point.

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### digits

    public short digits()

  The digits attribute specifies the total number of decimal digits in the number, and must be from 1 to 31, inclusive.

### digits

    public void digits(short value)

  The digits attribute specifies the total number of decimal digits in the number, and must be from 1 to 31, inclusive.

### scale

    public short scale()

  The scale attribute specifies the position of the decimal point.

### scale

    public void scale(short value)

  The scale attribute specifies the position of the decimal point.